> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/taiko/eth_senduseroperation.md).

# eth\_sendUserOperation

asks the bundler to sign and submit a User Operation

#### **Parameters:**

**Object**

#### **Returns:**

**String** - UserOperation hash

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://taiko.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" 
--data 
'{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "eth_sendUserOperation",
  "params": [
    {
      sender,
      nonce,
      initCode,
      callData,
      callGasLimit,
      verificationGasLimit,
      preVerificationGas,
      maxFeePerGas,
      maxPriorityFeePerGas,
      paymasterAndData,
      signature,
    },
    entrypointAddress,
  ]
}'

// Result
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": "0x..." // UserOpHash
}
```

{% endcode %}
